using System;

namespace Ekskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = Convert.ToInt32(Console.ReadLine());
            int[,] mat = new int[t, 3];
            for (int i = 0; i < t; i++)
            {
                string numb = Console.ReadLine();
                string[] numb1 = numb.Split(' ');
                int[] a = Array.ConvertAll<string, int>(numb1, int.Parse);
                mat[i, 0] = a[0];
                mat[i, 1] = a[1];
                mat[i, 2] = a[2];
            }
            for(int i=0;i<t;i++)
            {
                if (mat[i, 0] < mat[i, 2])
                {
                    Console.WriteLine("Nie");
                }
                else
                {
                    if (mat[i, 0] == mat[i, 2])
                    {
                        if (mat[i, 1] >= mat[i, 0])
                        {
                            Console.WriteLine("Tak");
                        }
                        else
                        {
                            Console.WriteLine("Nie");
                        }
                    }
                    else
                    {
                        int k1 = mat[i, 0] / mat[i, 2];
                        int k2 = (mat[i, 2] - 1) * k1;
                        int k3 = mat[i, 0] - k2;
                        for (int g = 0; g < (mat[i, 2] - 1); g++)
                        {
                            if(k1==1)
                            {
                                mat[i, 1]--;
                            } else
                            {
                                for (int j = 1; j <= k1; j++)
                                {
                                    mat[i, 1] = mat[i, 1] - j;
                                }
                            }
                        }
                        for (int j = 1; j <= k3; j++)
                        {
                            mat[i, 1] = mat[i, 1] - j;
                        }
                        if(mat[i,1]>=0)
                        {
                            Console.WriteLine("Tak");
                        } else
                        {
                            Console.WriteLine("Nie");
                        }
                    }
                }
            }
        }
    }
}